QCommonStyle(3qt)

NAME
QCommonStyle - Encapsulates the common Look and Feel of a GUI

SYNOPSIS
#include <qcommonstyle.h>

Inherits QStyle.

Inherited by QMotifStyle and QWindowsStyle.

  Public Members
QCommonStyle ()

DESCRIPTION
The QCommonStyle class encapsulates the common Look and Feel of a GUI.

This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of Qt.

All the functions are documented in QStyle.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QCommonStyle::QCommonStyle ()
Constructs a QCommonStyle.

SEE ALSO
http://doc.trolltech.com/qcommonstyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcommonstyle.3qt) and the Qt version (3.1.1).